com.gisgraphy.webapp.action

## Class StatsAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.StatsAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class StatsAction
      extends com.opensymphony.xwork2.ActionSupport

  stats Action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()`
    `int` | `getFlushFrequency()`
    `List<StatsUsage>` | `getStatsUsages()`
    `Long` | `getTotalUsage()`
    `void` | `setStatsUsageDao(IStatsUsageDao statsUsageDao)`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsAction

          public StatsAction()

  - ### Method Detail

    - #### getStatsUsages

          public List<StatsUsage> getStatsUsages()

      Returns:
        the statsUsages

    - #### setStatsUsageDao

          public void setStatsUsageDao(IStatsUsageDao statsUsageDao)

      Parameters:
        `statsUsageDao` - the statsUsageDao to set

    - #### execute

          public String execute()
                         throws Exception

      Specified by:
        `execute` in interface `com.opensymphony.xwork2.Action`
      Overrides:
        `execute` in class `com.opensymphony.xwork2.ActionSupport`
      Throws:
        `Exception`

    - #### getTotalUsage

          public Long getTotalUsage()

      Returns:
        the totalUsage

    - #### getFlushFrequency

          public int getFlushFrequency()

Copyright © 2015. All rights reserved.